org.wso2.carbon.mdm.services.android.util

## Class AndroidConstants.OperationCodes

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.util.AndroidConstants.OperationCodes

- Enclosing class:
    AndroidConstants

      public final class AndroidConstants.OperationCodes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_RESTRICTION`
    `static String` | `APPLICATION_LIST`
    `static String` | `BLACKLIST_APPLICATIONS`
    `static String` | `CAMERA`
    `static String` | `CHANGE_LOCK_CODE`
    `static String` | `CLEAR_PASSWORD`
    `static String` | `DEVICE_INFO`
    `static String` | `DEVICE_LOCATION`
    `static String` | `DEVICE_LOCK`
    `static String` | `DEVICE_MUTE`
    `static String` | `DEVICE_REBOOT`
    `static String` | `DEVICE_RING`
    `static String` | `DEVICE_UNLOCK`
    `static String` | `DISENROLL`
    `static String` | `ENCRYPT_STORAGE`
    `static String` | `ENTERPRISE_WIPE`
    `static String` | `INSTALL_APPLICATION`
    `static String` | `LOGCAT`
    `static String` | `MONITOR`
    `static String` | `NOTIFICATION`
    `static String` | `PASSCODE_POLICY`
    `static String` | `UNINSTALL_APPLICATION`
    `static String` | `UPDATE_APPLICATION`
    `static String` | `UPGRADE_FIRMWARE`
    `static String` | `VPN`
    `static String` | `WEBCLIP`
    `static String` | `WIFI`
    `static String` | `WIPE_DATA`
    `static String` | `WORK_PROFILE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEVICE_LOCK

          public static final String DEVICE_LOCK

      See Also:
        Constant Field Values

    - #### DEVICE_UNLOCK

          public static final String DEVICE_UNLOCK

      See Also:
        Constant Field Values

    - #### DEVICE_LOCATION

          public static final String DEVICE_LOCATION

      See Also:
        Constant Field Values

    - #### WIFI

          public static final String WIFI

      See Also:
        Constant Field Values

    - #### CAMERA

          public static final String CAMERA

      See Also:
        Constant Field Values

    - #### DEVICE_MUTE

          public static final String DEVICE_MUTE

      See Also:
        Constant Field Values

    - #### PASSCODE_POLICY

          public static final String PASSCODE_POLICY

      See Also:
        Constant Field Values

    - #### DEVICE_INFO

          public static final String DEVICE_INFO

      See Also:
        Constant Field Values

    - #### ENTERPRISE_WIPE

          public static final String ENTERPRISE_WIPE

      See Also:
        Constant Field Values

    - #### CLEAR_PASSWORD

          public static final String CLEAR_PASSWORD

      See Also:
        Constant Field Values

    - #### WIPE_DATA

          public static final String WIPE_DATA

      See Also:
        Constant Field Values

    - #### APPLICATION_LIST

          public static final String APPLICATION_LIST

      See Also:
        Constant Field Values

    - #### CHANGE_LOCK_CODE

          public static final String CHANGE_LOCK_CODE

      See Also:
        Constant Field Values

    - #### INSTALL_APPLICATION

          public static final String INSTALL_APPLICATION

      See Also:
        Constant Field Values

    - #### UPDATE_APPLICATION

          public static final String UPDATE_APPLICATION

      See Also:
        Constant Field Values

    - #### UNINSTALL_APPLICATION

          public static final String UNINSTALL_APPLICATION

      See Also:
        Constant Field Values

    - #### BLACKLIST_APPLICATIONS

          public static final String BLACKLIST_APPLICATIONS

      See Also:
        Constant Field Values

    - #### ENCRYPT_STORAGE

          public static final String ENCRYPT_STORAGE

      See Also:
        Constant Field Values

    - #### DEVICE_RING

          public static final String DEVICE_RING

      See Also:
        Constant Field Values

    - #### DEVICE_REBOOT

          public static final String DEVICE_REBOOT

      See Also:
        Constant Field Values

    - #### UPGRADE_FIRMWARE

          public static final String UPGRADE_FIRMWARE

      See Also:
        Constant Field Values

    - #### NOTIFICATION

          public static final String NOTIFICATION

      See Also:
        Constant Field Values

    - #### WEBCLIP

          public static final String WEBCLIP

      See Also:
        Constant Field Values

    - #### DISENROLL

          public static final String DISENROLL

      See Also:
        Constant Field Values

    - #### MONITOR

          public static final String MONITOR

      See Also:
        Constant Field Values

    - #### VPN

          public static final String VPN

      See Also:
        Constant Field Values

    - #### LOGCAT

          public static final String LOGCAT

      See Also:
        Constant Field Values

    - #### APP_RESTRICTION

          public static final String APP_RESTRICTION

      See Also:
        Constant Field Values

    - #### WORK_PROFILE

          public static final String WORK_PROFILE

      See Also:
        Constant Field Values

Copyright © 2017 WSO2. All rights reserved.